package cn.newfeifan.mall.module.distri.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

@Getter
@AllArgsConstructor
public enum ProfitTypeEnum {

    PT_PROFIT(1, "平台收益"),
    SERVICE_CHARGE(2, "服务费"),
    PROFIT(3, "利润"),
    SETTLEMENT_PRICE(4,"结算价");

    private final Integer type;
    private final String name;

    public static ProfitTypeEnum getProfitTypeEnumByType(int status) {
        for (ProfitTypeEnum profitTypeEnum : ProfitTypeEnum.values()) {
            if (profitTypeEnum.getType() == status) {
                return profitTypeEnum;
            }
        }
        return null;
    }
}
