package cn.newfeifan.mall.module.distri.controller.admin.sharepath.vo;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;

@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class TreeNode {
    private Long userId;
    private String userName; // 节点名称
    private String phone;
    private Integer depth;
    private Long parentId; // 父亲Id
    private Long referrerId;    //推荐人id
    private Long leftChildId;
    private Long rightChildId;
    private List<TreeNode> children; // 子节点列表
}
